{
  description = "Jank workaround for mumble PTT";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

  outputs = { self, nixpkgs }:
    let
      allSystems = [
        "x86_64-linux"
        "aarch64-linux"
        "x86_64-darwin"
        "aarch64-darwin"
      ];
      forAllSystems = f: nixpkgs.lib.genAttrs allSystems (system: f {
        pkgs = import nixpkgs { inherit system; };
      });
    in
    {
      overlays.default = final: prev: {
        ghettoptt = self.packages.${prev.system}.default;
      };

      packages = forAllSystems ({ pkgs }: {
        default = pkgs.buildGoModule {
          name = "ghettoptt";
          src = ./.;
          vendorHash = "sha256-WhlifAFIqoBNhBWGmYgHc5DWmdhHnK/2kYbEF/DOclw=";
        };
      });
      devShells = forAllSystems ({ pkgs }: {
        default = pkgs.mkShell {
          packages = with pkgs; [
            go
          ];
        };
      });
    };
}
